import streamlit as st
from eda_ts.constants import DF_KEY, PKL_PATH_KEY

if PKL_PATH_KEY not in st.session_state and DF_KEY not in st.session_state:
    st.session_state[PKL_PATH_KEY] = None
    st.session_state[DF_KEY] = None

st.set_page_config(
    page_title="README",
    page_icon="📘",
    layout="wide"
)
import os
this_path = os.path.abspath(__file__)
parent_path = os.path.abspath(os.path.join(this_path, '../..')) 
readme_path = os.path.join(parent_path,'README.md')

st.info(f"Reading README file from: {readme_path}")
with open(readme_path, 'r') as file:
    readme_content = file.read()
    st.markdown(readme_content)